
Redmine - Defect #20533

DEPRECATION WARNING: `#timestamps` was called without specifying an option for `null`.

2015-08-14 12:46 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I got the following warning while migrating database.

This is caused by a migration file 'db/migrate/20150730122707_create_imports.rb' which was added in r14493.

== 20150730122707 CreateImports: migrating ====================================

-- create_table(:imports)

DEPRECATION WARNING: `#timestamps` was called without specifying an option for `null`. In Rails 5,

 this behavior will change to `null: false`. You should manually specify `null: true` to prevent t

he behavior of your existing migrations from changing. (called from block in change at /Users/maed

a/redmines/redmine-trunk/db/migrate/20150730122707_create_imports.rb:10)

Associated revisions

Revision 14505 - 2015-08-15 11:22 - Jean-Philippe Lang

DEPRECATION WARNING: `#timestamps` was called without specifying an option for `null` (#905, #20533).

History

#1 - 2015-08-15 11:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14505, thanks.
